org.springframework.expression.spel.ast

## Class TypeReference

- java.lang.Object
- - org.springframework.expression.spel.ast.SpelNodeImpl
  - - org.springframework.expression.spel.ast.TypeReference

All Implemented Interfaces:
  SpelNode

    public class TypeReference
    extends SpelNodeImpl

Represents a reference to a type, for example "T(String)" or "T(com.somewhere.Foo)"

Author:
  Andy Clement

### Field Summary

### Fields inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

`children, pos`

### Constructor Summary

Constructors
Constructor and Description
`TypeReference(int pos, SpelNodeImpl qualifiedId)`
`TypeReference(int pos, SpelNodeImpl qualifiedId, int dims)`

### Method Summary

Methods
`TypedValue` `getValueInternal(ExpressionState state)`
`String` `toStringAST()`

### Methods inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

`getChild, getChildCount, getEndPosition, getObjectClass, getPreviousChild, getStartPosition, getTypedValue, getValue, getValue, getValueRef, isWritable, nextChildIs, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeReference

    public TypeReference(int pos,
                 SpelNodeImpl qualifiedId)

#### TypeReference

    public TypeReference(int pos,
                 SpelNodeImpl qualifiedId,
                 int dims)

### Method Detail

#### getValueInternal

    public TypedValue getValueInternal(ExpressionState state)
                                throws EvaluationException

Specified by:
  `getValueInternal` in class `SpelNodeImpl`
Throws:
  `EvaluationException`

#### toStringAST

    public String toStringAST()

Specified by:
  `toStringAST` in interface `SpelNode`
Specified by:
  `toStringAST` in class `SpelNodeImpl`
Returns:
  the string form of this AST node